package cn.com.countrygarden.bi.main.dao.dataMigration;

import cn.com.countrygarden.bi.main.model.dataMigration.BdType;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface BdTypeMapper {
   public void insertOrUpdatePlus(@Param("bd") List<BdType> bd);

   void insertErrorInfo(@Param("errorPageIndex") int errorPageIndex, @Param("errorMsg") String errorMsg);

    Long getMaxId();

    /**
     * 清空业务表
     */
    void truncateTable();

    /**
     * 中间表至业务表
     */
    void midToBusness(@Param("startId")Long startId, @Param("endId")Long endId);

    Long getMinId();

    /**
     * 删除type组织表中间表数据
     * @author ferren
     * @date 2019/7/3 14:13
     * @param
     * @return void
     */
    void truncateTableBdTypeBak();
}